import React from "react";
import { Segmented } from "antd";
import { locales } from "@pisell/utils";
import List$1 from "@pisell/icon/es/List";
import Edit05 from "@pisell/icon/es/Edit05";
//#region src/components/booking/info/service/editService/EditTabs/index.tsx
const Demo = ({ value, onChange }) => /* @__PURE__ */ React.createElement("div", {
	className: "",
	style: {
		padding: "24px 32px 16px",
		margin: "-24px -32px 0",
		background: "#fff",
		position: "sticky",
		top: 60,
		zIndex: 2
	}
}, /* @__PURE__ */ React.createElement(Segmented, {
	options: [{
		label: locales.getText("pisell2.text.edit-booking"),
		value: "batch_edit",
		icon: /* @__PURE__ */ React.createElement(Edit05, null)
	}, {
		label: locales.getText("pisell2.text.booking-list"),
		value: "booking_list",
		icon: /* @__PURE__ */ React.createElement(List$1, null)
	}],
	block: true,
	value,
	onChange,
	size: "large"
}));
//#endregion
export { Demo as default };
